<div class="container --padded">
  <div class="card --basic">
    <h3 class="ui header dividing">
      <% if @searchable.template == "#{role}/hs" %>
        <%= t('report.hs_report_title') %>
      <% elsif @searchable.template == "#{role}/hv" %>
        <%= t('report.hv_report_title') %>
      <% end %>
    </h3>
    <%= render 'reports/filter_detail' %>
  </div>

  <% if @results.length != 0 %>
    <div class="card --table">
      <div class="card__content">
        <table class="ui table striped unstackable">
          <thead>
            <tr>
              <th class="one wide"><%= t :no_label %></th>
              <th class="two wide"><%= t('report.people_id_survey_label') %></th>
              <th><%= t('report.people_name_survey_label') %></th>
              <% if @searchable.hid.nil? %>
                <th><%= t('report.house_label') %></th>
              <% end %>
              <th class="center aligned two wide">
                <% if @searchable.template == "#{role}/hs" %>
                  <%= t('report.survey_date_label') %>
                <% elsif @searchable.template == "#{role}/hv" %>
                  <%= t('report.date_visit_label') %>
                <% end %>
              </th>
              <th class="center aligned two wide"><%= t('report.created_date_label') %></th>
              <th class="center aligned two wide"><%= t('report.state_label') %></th>
              <th class="center aligned four wide"><%= t('report.description_label') %></th>
            </tr>
          </thead>
          <tbody>
            <% page = @results.page %>
            <% @results.each_with_index do |result, index| %>
            <% translate_status = translate_status(result.status, result.sent_status) %>
              <tr>
                <td><%= offset(@searchable.page,Kaminari.config.default_per_page.to_i) + index + 1 %></td>
                <td><%= result.pid.blank? ? '-' : result.pid %></td>
                <td><%= "#{result.first_name} #{result.last_name}"%></td>
                <% if @searchable.hid.nil? %>
                  <td><%= result.house %></td>
                <% end %>
                <td class="center aligned">
                  <%= result.datesurvey && buddhist_date_format(result.datesurvey.to_date) %>
                </td>
                <td class="center aligned">
                  <%= result.created_at && buddhist_date_format(result.created_at.to_date) %>
                </td>
                <td class="center aligned">
                  <label class="ui label <%= translate_status[:class_name] %>">
                    <%=
                      translate_status[:state]
                    %>
                  </label>
                </td>
                <td class="aligned">
                  <%=
                    translate_status_description(
                      result.sent_status,
                      result.status_description,
                      result.sent_errors
                    )
                  %>
                </td>
              </tr>
            <% end %>
          </tbody>
        </table>
      </div>
      <div class="card__footer">
        <div class="pagination">
          <%= paginate @results %>
        </div>
        <div class="btn-group --right">
          <%= link_to method("reports_#{role}_people_path").call(
            from_date: revert_date(@searchable.from_date),
            to_date: revert_date(@searchable.to_date),
            date_type: @searchable.date_type,
            vid: @searchable.vid,
            hid: @searchable.hid,
            htype: @searchable.htype,
            hospital: @searchable.hospital,
            template: @searchable.template,
            process_results: @searchable.process_results,
            format: "xlsx"
          ), class: "ui button --submit" do %>
            <i class="file excel icon"></i> <%= t('report.export_excel_label') %>
          <% end %>
        </div>
      </div>
    </div>
  <% else %>
    <%= render 'reports/empty' %>
  <% end %>
</div> 

<% content_for :menu_content_title do %>
  <div class="menuFilter-contentLeft__button">
    <button id="toggle_breadcrumb" class="ui button active --toggle">
      <i id="toggle_breadcrumb_icon" class="ellipsis vertical icon"></i>
    </button>
  </div>
  <div class="ui breadcrumb">
    <% if params.fetch('template', nil) == "#{role}/hs" %>
      <%= link_to method("reports_#{role}_health_survey_path").call(from_date: revert_date(@searchable.from_date),
                                        to_date: revert_date(@searchable.to_date),
                                        date_type: @searchable.date_type,
                                        htype: @searchable.htype,
                                        hospital: @searchable.hospital,
                                        template:  @searchable.template),
        class: 'section' do %>
        <div class="breadcrumb__label"><%= t('report.hs_title_label') %></div>
      <% end %>
    <% elsif params.fetch('template', nil) == "#{role}/hv" %>
      <%= link_to method("reports_#{role}_home_visit_path").call(from_date: revert_date(@searchable.from_date),
                                        to_date: revert_date(@searchable.to_date),
                                        date_type: @searchable.date_type,
                                        htype: @searchable.htype, 
                                        hospital: @searchable.hospital,
                                        template:  @searchable.template),
        class: 'section' do %>
        <div class="breadcrumb__label"><%= t('report.hv_title_label') %></div>
      <% end %>
    <% end %>
    <i class="right angle icon divider"></i>
    <% if !@searchable.hid.nil?%>
      <%= link_to method("reports_#{role}_houses_path").call(from_date: revert_date(@searchable.from_date),
                                      to_date: revert_date(@searchable.to_date),
                                      vid: @searchable.vid,
                                      htype: @searchable.htype, 
                                      hospital: @searchable.hospital,
                                      template:  @searchable.template),
                  class: 'section' do %>
        <div class="breadcrumb__label"><%= t('report.title_house_label') %></div>
      <% end %>
      <i class="right angle icon divider"></i>
    <% end %>
    <div class="active section"><%= t('report.title_people_label') %></div>
  </div>
<% end %> 
